.partners {
    padding: 40px 0 120px 0;

    &__header {
        margin-bottom: 24px;
    }

    .swiper-container {
        overflow: visible;
    }

    @include media-breakpoint-up(md) {
        padding-bottom: 80px;
    }

    @include media-breakpoint-up(lg) {
        padding-top: 80px;
        padding-bottom: 160px;

        &__header {
            margin-bottom: 40px;
        }

        &__slider {
            position: relative;

            &:before {
                top: -10px;
                bottom: 0;
                right: 100%;
                content: '';
                z-index: 10;
                width: 2000px;
                display: block;
                background: $white;
                position: absolute;
            }
        }
    }

    @include media-breakpoint-up(xl) {}
}

.partners-group {
    position: relative;
    display: grid;
    grid-row-gap: 16px;
    grid-column-gap: 16px;

    &--01 {
        width: 367px;
        grid-template-columns: 1fr;
    }

    &--02 {
        width: 206px;
        grid-template-columns: 1fr 1fr;

        .partners-group__item {

            &:nth-child(1) {
                grid-column: 1/3;
            }
        }
    }

    &--03 {
        width: 206px;
    }

    &--04 {
        width: 206px;
        grid-template-columns: 1fr 1fr;

        .partners-group__item {

            &:nth-child(3) {
                grid-column: 1/3;
            }
        }
    }

    &--05 {
        width: 317px;
        grid-template-columns: 1fr 1fr 1fr;


        .partners-group__item {

            &:nth-child(2) {
                grid-column: 2/4;
            }

            &:nth-child(3) {
                grid-column: 1/3;
            }
        }
    }

    &--06 {
        width: 95px;
    }

    &--07 {
        width: 206px;
        grid-template-columns: 1fr 1fr;

        .partners-group__item {

            &:nth-child(3) {
                grid-column: 1/3;
            }
        }
    }

    &--08 {
        width: 95px;
    }

    &__item {
        font-size: 0;
        line-height: 0;
        background-color: $accent;
        position: relative;

        fill: $white;

        .white-red {
            fill: $accent;
        }
    }

    @include media-breakpoint-up(lg) {

        &--01 {
            width: 425px;
        }

        &--02 {
            width: 238px;
        }

        &--03 {
            width: 238px;
        }

        &--04 {
            width: 238px;
        }

        &--05 {
            width: 365px;
        }

        &--06 {
            width: 111px;
        }

        &--07 {
            width: 238px;
        }

        &--08 {
            width: 111px;
        }

        &__item {
            fill: $primary;
            background: $gray-light;

            .white-red {
                fill: $primary;
            }

            &:hover {
                fill: $white;
                background: $accent;

                .white-red {
                    fill: $accent;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {}

}
